%define oname time_now

Name:           ocaml-%{oname}
Epoch:          1
Version:        0.13.0
Release:        %mkrel 5
Summary:        Reports the current time
Group:          Development/OCaml
License:        ASL 2.0
URL:            https://github.com/janestreet/%{oname}
Source0:        https://github.com/janestreet/%{oname}/archive/v%{version}.tar.gz

BuildRequires:  ocaml-dune
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-base >= 0.13
BuildRequires:  ocaml-ppxlib >= 0.9.0
BuildRequires:  ocaml-ppx_base 
BuildRequires:  ocaml-ppx_cold
BuildRequires:  ocaml-ppx_optcomp
BuildRequires:  ocaml-ppx_sexp_conv
BuildRequires:  ocaml-jane-street-headers-devel
BuildRequires:  ocaml-jst-config-devel
BuildRequires:  ocaml-result-devel
BuildRequires:  opam

Requires:  ocaml-base >= 0.13
Requires:  ocaml-ppxlib >= 0.9.0
Requires:  ocaml-ppx_base 
Requires:  ocaml-ppx_cold
Requires:  ocaml-ppx_optcomp
Requires:  ocaml-ppx_sexp_conv
Requires:  ocaml-jane-street-headers
Requires:  ocaml-jst-config
Requires:  ocaml-result

%description
Provides a single function to report the current time in nanoseconds
since the start of the Unix epoch.

Part of the Jane Street's PPX rewriters collection.


%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:  ocaml-jane-street-headers-devel
Requires:  ocaml-jst-config-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{oname}-%{version}

%build
dune build --verbose -p %{oname} %_smp_mflags

%install
opam-installer --prefix=%{buildroot}%{_prefix} --libdir=%{buildroot}%{_libdir}/ocaml %{oname}.install
rm -rf %buildroot/usr/doc

# Makes *.cmxs executable such that they will be stripped.
find %{buildroot} -name '*.cmxs' -exec chmod 0755 {} \;

%check
dune runtest

%files
%license LICENSE.md
%dir %{_libdir}/ocaml/%{oname}
%{_libdir}/ocaml/%{oname}/META
%{_libdir}/ocaml/%{oname}/*dune*
%{_libdir}/ocaml/%{oname}/*.cmi
%{_libdir}/ocaml/%{oname}/*.cma
%{_libdir}/ocaml/%{oname}/*.a
%{_libdir}/ocaml/%{oname}/*.cmxa
%{_libdir}/ocaml/%{oname}/*.cmxs
%{_libdir}/ocaml/%{oname}/*.js
%{_libdir}/ocaml/stublibs/dlltime_now_stubs.so

%files devel
%{_libdir}/ocaml/%{oname}/opam
%{_libdir}/ocaml/%{oname}/*.cmt
%{_libdir}/ocaml/%{oname}/*.cmti
%{_libdir}/ocaml/%{oname}/*.cmx
%{_libdir}/ocaml/%{oname}/*.ml*


%changelog
* Sun Jan 10 2021 pterjan <pterjan> 1:0.13.0-5.mga8
+ Revision: 1670829
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 1:0.13.0-4.mga8
+ Revision: 1552042
- Rebuild for ocaml 4.10.0 final

* Thu Feb 20 2020 umeabot <umeabot> 1:0.13.0-3.mga8
+ Revision: 1545194
- Mageia 8 Mass Rebuild

* Tue Jan 28 2020 tv <tv> 1:0.13.0-2.mga8
+ Revision: 1484206
- add more runtime deps

* Mon Jan 27 2020 tv <tv> 1:0.13.0-1.mga8
+ Revision: 1484036
- imported package ocaml-time_now

